/* Contador con límite superior e inferior.

Empeza en 0 e vai sumando ata chegar a 10. A partir de aí o contador
vai descendendo ata chegar de novo a 0 e volve repetirse o ciclo.
Utiliza dúas funcións, unha para o contador ascendente e outra para 
o descendente. 
Utiliza as funcións while(condición){proceso} para o programa. 

http://tecnoloxia.org */

// Declaración de variables:

const int pulsador=2;
const int led=13;
int conta=0;

// Configuración:

void setup() {
  Serial.begin(9600);
  pinMode (led, OUTPUT);
  Serial.println(conta);
}

// Programa:

void contadorAscendente() {    		// Funcin para o contador ascendente
   while(digitalRead(pulsador)==0);  	
   delay(20);
   while(digitalRead(pulsador)==1);  	
   delay(20);
   conta++;                      	
   Serial.println(conta);         	
}
void contadorDescendente() {    	// Funcin para o contador descendente
   while(digitalRead(pulsador)==0);  	
   delay(20);
   while(digitalRead(pulsador)==1);  	
   delay(20);
   conta--;                      	
   Serial.println(conta);         	
}

void loop() {
   while(conta < 10) {       // Mentres o contador sexa menor que 10
      contadorAscendente();     // sumamos
   }
   while (conta> 0) {        // Mentres o contador sexa maior que 0
      contadorDescendente();	// restamos	
  }
}
