/* Variando as notas cun potenciómetro: Conecta un potenciómetro 
e fai que ao mover o cursor cambie a frecuencia do ton emitido 
polo altofalante, desde a nota do a 261.63 Hz ata o si a 493.88Hz. 
http://tecnoloxia.org 
*/

// Declaración de variables:

const int zumbador=4;       // Definimos o altofalante no pin 4
int potenciometro;          // Valor do potenciómeto, entre 0 e 1023
int frecuencia;             // Variable que representa a frecuencia

// Configuración:

void setup() {
  pinMode(4,OUTPUT);      // Configuramos o pin 4 como saída
  Serial.begin(9600);     // Inicia a comunicación serie
}

// Programa:

void loop() {

  potenciometro = analogRead(A0);     // valor lido na entrada analóxica A0
  frecuencia = map(potenciometro,0,1023,261.63,493.88);  // Calculamos a frecuencia en función do valor do potenciómetro
    
  tone(zumbador,frecuencia,100);          // Xeramos o ton coa frecuencia obtida

  Serial.print(potenciometro);            // Escribimos os valores das variables na consola serie
  Serial.print(" ---> ");
  Serial.println(frecuencia); 
  delay(100); 
                  
}

