/* Semáforo de peóns. O semáforo de peóns está vermello. 
Cando unha persoa desexa cruzar debe premer nun pulsador. 
Despois dun tempo o semáforo porase en verde mentres soa unha 
melodía, ata que volve outra vez a poñerse vermello.
http://tecnoloxia.org 
*/

// Declaración de variables:

const int pulsador=2;       
const int altofalante=4;    
const int vermello=13;
const int verde=11;
int estado;                 //Estado 0 ou 1 do pulsador


// Configuración:
void setup() {
  pinMode(4,OUTPUT);        // Configuramos os pins 4, 11 e 13 como saída
  pinMode(11,OUTPUT);
  pinMode(13,OUTPUT);
}

// Programa:
void son() {                // Definimos a función "son" para chamala despois
  tone(4,1000,100);         // 1000 Hz durante 0.2s
  delay(200);            
  tone(4,500,100);          // 500 Hz durante 0.2s
  delay(200);
}

void loop() {
  estado = digitalRead(pulsador);
  
  if(estado==1) {                   // Se prememos no pulsador
     delay(2000);                   // agarda 2 segundos
     digitalWrite(vermello, LOW);   // apaga o semáforo vermello
     digitalWrite(verde, HIGH);     // acende o verde
     for (int n=0;n<8;n++) {        // Repite a melodía 8 veces 
        son();                  
     }
     delay(500); 
  }
  else {                            // Se non
    digitalWrite(vermello, HIGH);   // Acende o semáforo vermello
    digitalWrite(verde, LOW);       // Apaga o semáforo verde
  }
}
