/* Control do xiro dun servo. 
Imos facer que un servo xire lentamente ata unha posición e despois
cambie lentamente á posición de partida.
http://tecnoloxia.org */

#include <Servo.h>	   // Importamos a librería servo

// Declaración de variables:

Servo meuservo;      	   // poñémoslle nome ao servo: "meuservo"

// Configuración:

void setup() {
  meuservo.attach(6);      // Indicamos que está conectado no pin 6
  meuservo.write(0);       // Sitúase na posición de 0º
}

// Programa:

void loop() {
  
  for(int i=0;i<=120;i++) {	  // Móvese pouco a pouco ata 120º
    meuservo.write(i);    		
    delay (50);
    }
  delay (1000);  		          // Agarda 1 segundo
  
  for(int i=120;i>=0;i--) {	  // Móvese pouco a pouco ata 0º
    meuservo.write(i);    		
    delay (50);
    }
  delay (1000);  		          // Agarda 1 segundo
}

