
/* Motor de CC controlado por un controlador de motores. 
http://tecnoloxia.org */

// Declaración de variables:
 
const int E1 = 10;   // Enable pin
const int I1 = 9;    // Control pin 1
const int I2 = 8;    // Control pin 2


// Configuración:

void setup(){
  for (int i = 8 ; i<11 ; i++){          // Inicializamos los pines
    pinMode( i, OUTPUT);
    }
}

// Programa:

void esquerda() {
  digitalWrite(E1, HIGH);     // Activamos Motor1
  digitalWrite(I1, HIGH);     // Arrancamos    
  digitalWrite(I2, LOW); 
}
void dereita() {
  digitalWrite(E1, HIGH);     // Activamos Motor1
  digitalWrite(I1, LOW);      // Arrancamos con cambio de dirección
  digitalWrite(I2, HIGH);
}
void para() {
  digitalWrite(E1, LOW);      // Paramos Motor 1
}

void loop() {
  
  esquerda ();      
  delay(2000);
  
  para();
  delay(1000);
  
  dereita ();
  delay(2000);
  
  para();
  delay(1000);
  
}
  


