
/* Motor de CC controlado por un controlador de motores. 
Conecta dous pulsadores. Cando prememos no primeiro o motor xira en sentido horario, 
cando prememos no segundo xira en sentido antihorario, e cando non prememos ningún para.
http://tecnoloxia.org */

// Declaración de variables:
 
const int E1 = 10;   // Enable pin
const int I1 = 9;    // Control pin 1
const int I2 = 8;    // Control pin 2

const int pulsador1 = 2;    
int estado1;  
const int pulsador2 = 3;    
int estado2;   
          

// Configuración:

void setup(){
  
  for (int i = 8 ; i<11 ; i++){          // Inicializamos los pines
    pinMode( i, OUTPUT);
    }
  Serial.begin(9600);                    // Inicia a comunicación serie 
}

// Programa:

void esquerda() {
  digitalWrite(E1, HIGH);     // Activamos Motor1
  digitalWrite(I1, HIGH);     // Arrancamos    
  digitalWrite(I2, LOW);   
  Serial.println("esquerda"); 
}
void dereita() {
  digitalWrite(E1, HIGH);     // Activamos Motor1
  digitalWrite(I1, LOW);      // Arrancamos con cambio de dirección
  digitalWrite(I2, HIGH);
  Serial.println("dereita"); 
}
void para() {
  digitalWrite(E1, LOW);      // Paramos Motor 1
  Serial.println("para"); 
}

void loop() {
  
  estado1 = digitalRead(pulsador1);
  estado2 = digitalRead(pulsador2);

  if (estado1 == 1) {
    esquerda();  
    }
  else {
    if (estado2 == 1) {
    dereita();  
    } 
    else {
      para(); 
    }
  }

}
  


