/* Ambulancia
Programa no que se acenden e apagan de forma alternada dous LEDs
simulando as luces dunha ambulancia
http://tecnoloxia.org */

// Declaración de variables: 

const int led1 = 13;    // Led1 conectado no pin 13
const int led2 = 12;    // Led2 conectado no pin 12
int tempo=400;          //definimos a variable tempo de 400ms

// Configuración: 

void setup() {                
  pinMode(led1, OUTPUT);     // Configuramos o pin 13 como saida
  pinMode(led2, OUTPUT);     // Configuramos o pin 12 como saida

}

// Programa:

void loop()                   // O programa executase repetidamente
{
  digitalWrite(led1, HIGH);   // Envia 5V ao pin de saida 13
  digitalWrite(led2, LOW);    // Envia 0V ao pin de saida 12  
  delay(tempo);               // Agarda o valor da variable tempo
  digitalWrite(led1, LOW);    // Envia 0V ao pin de saida 13
  digitalWrite(led2, HIGH);    // Envia 5V ao pin de saida 12  
  delay(tempo);               // Agarda o valor da variable tempo
}

/* Podes modificar o valor da variable tempo para obter outra frecuencia */
