/* Sensor ultrasónico. Medición de distancia.
Ultrasónico e LED.  Fai que cando a distancia sexa menor que 5 cm 
se acenda  un LED, e cando sexa maior de 5 cm se apague. 
http://tecnoloxia.org 
*/

// Declaración de variables:

int led = 13;

int trig = 9;
int echo = 8;

long distancia;
long tempo;

// Configuración:

void setup(){
  Serial.begin(9600);
  pinMode(trig, OUTPUT); 
  pinMode(echo, INPUT); 
  pinMode(led, OUTPUT);
}

// Programa:

void loop(){
  
  digitalWrite(trig,LOW); 
  delayMicroseconds(5);
  digitalWrite(trig, HIGH); // envío do pulso ultrasónico
  delayMicroseconds(10);
  
  tempo=pulseIn(echo, HIGH); // Mide o tiempo transcurrido entre o envío do pulso ultrasónico e a recepción do rebote
  
  distancia= int(0.017*tempo); // fórmula para calcular la distancia obtendo un valor enteiro

  if (distancia<5){
    digitalWrite (led, HIGH);
  }
  else{
    digitalWrite (led, LOW);
  }

  Serial.print("Distancia: ");
  Serial.print(distancia);
  Serial.println(" cm");
  delay(200);
}
