/* Led con pulsador. Entrada dixital.
 Cando prememos nun pulsador o LED acéndese e cando o soltamos apágase. 
 Utilizamos unha variable "estado" que le o estado do pulsador.
http://tecnoloxia.org */


/// Declaración de variables: 

const int led1 = 13;        	// Pin 13 asignado a un LED1 
const int pulsador1 = 3;    	// Pin 3 asignado a un pulsador1 
const int led2 = 12;        	// Pin 12 asignado a un LED2 
const int pulsador2 = 2;    	// Pin 2 asignado a un pulsador2 
int estado1=0;                // variable na que apuntaremos o estado do pulsador1
int estado2=0;                // variable na que apuntaremos o estado do pulsador2

// Configuración:

void setup() 
{ 
  pinMode(led1, OUTPUT);      // Configuramos o LED1 como saída. 
  pinMode(led2, OUTPUT);      // Configuramos o LED2 como saída. 
} 

// Programa: 

void loop()                 
{ 
  estado1 = digitalRead(pulsador1);  // Lemos 0 ou 1 no pulsador e gardámolo na variable "estado1" 
  estado2 = digitalRead(pulsador2);  // Lemos 0 ou 1 no pulsador e gardámolo na variable "estado2" 
  digitalWrite(led1,estado1);        // Transmitimos ao LED1 o valor do pulsador1 
  digitalWrite(led2,estado2);        // Transmitimos ao LED2 o valor do pulsador2 
}

