/* Led con pulsador. Entrada dixital. Condicionais.
Un LED acéndese ao premer nun pulsador e apágase ao soltalo.
Outro LED fai o contrario: apágase ao premer o pulsador e acéndese ao soltalo.
http://tecnoloxia.org */

// Declaración de variables: 

const int led1 = 13;        // Pin 13 asignado a un LED1 
const int led2 = 12;        // Pin 12 asignado a un LED2 
const int pulsador = 2;    // Pin 2 asignado a un pulsador 
int estado=0;              // Variable coa que leremos o estado do pulsador. 

// Configuración: 

 void setup() { 
  pinMode(led1, OUTPUT);      // Configuramos o LED1 como saída
  pinMode(led2, OUTPUT);      // Configuramos o LED2 como saída 
 
} 

// Programa: 

void loop() { 
   estado = digitalRead(pulsador); 	// Asignamos a "estado" o valor (0 ou 1) do pulsador
   
   if (estado == 1) {      		    // Se o pulsador esta premido (estado = 1)               		
     digitalWrite(led1, HIGH);    // Acéndese o LED1 
     digitalWrite(led2, LOW);     // Apágase o LED2 
   } 
   
   else {                          	// Se non 
     digitalWrite(led1, LOW);      	// Apágase o LED1 
     digitalWrite(led2, HIGH);      // Acéndese o LED2
   } 
   
}
