/* Led con pulsador. Entrada dixital. Condicionais. AND
Utilizando un condicional, fai que un LED acenda só no 
caso de que premamos dous pulsadores á vez.
http://tecnoloxia.org */

// Declaración de variables: 

const int led = 13;        // Pin 13 asignado a un LED1 
const int pulsador1 = 2;    // Pin 2 asignado a un pulsador1 
const int pulsador2 = 3;    // Pin 3 asignado a un pulsador2 

int estado1=0;          // Variable coa que leremos o estado do pulsador1. 
int estado2=0;          // Variable coa que leremos o estado do pulsador2. 

// Configuración: 

 void setup() { 
  pinMode(led, OUTPUT);      // Configuramos o LED como saída
} 

// Programa: 

void loop() 
{ 
   estado1 = digitalRead(pulsador1); 	// Asignamos a "estado1" o valor (0 ou 1) do pulsador1
   estado2 = digitalRead(pulsador2); 	// Asignamos a "estado2" o valor (0 ou 1) do pulsador2

   if (estado1 == 1 && estado2 == 1) {   // Se ambos pulsadores están premidos (estado = 1)               		
     digitalWrite(led, HIGH);           // Acéndese o LED 
   } 
   
   else {                          	// Se non 
     digitalWrite(led, LOW);      	// Apágase o LED 
   } 
   
}
