/* Lectura serie dun potenciómetro. Entradas analóxicas.
Conecta tres LEDs coas súas resistencias aos pins 11, 12 e 13. 
O primeiro LED débese acender no rango de 0 a 350 da lectura
do potenciómetro, o segundo LED no rango 351-700 
e o terceiro LED no rango 701-1023. 

http://tecnoloxia.org */

// Declaración de variables: 

int valor=0;      // variable que le o valor do potenciómetro, entre 0 e 1023
const int led1=13; 
const int led2=12; 
const int led3=11; 

// Configuración:

void setup() {
  Serial.begin(9600);    	// Inicia a comunicación serie
  pinMode(led1, OUTPUT);   	// Configuramos o LED como saída
  pinMode(led2, OUTPUT);   	// Configuramos o LED como saída
  pinMode(led3, OUTPUT);   	// Configuramos o LED como saída
}

// Programa:

void loop() {
  
  valor = analogRead(A0);  	// Asignamos á variable "valor" o valor lido na entrada analóxica A0
  Serial.println(valor);  	//Imprime no monitor serie dito valor

  if (valor <= 360) {     	
     digitalWrite(led1,HIGH);
     digitalWrite(led2,LOW);
     digitalWrite(led3,LOW);
     }  	
  if (valor > 360 && valor <= 700) {
     digitalWrite(led1,LOW);    	
     digitalWrite(led2,HIGH);
     digitalWrite(led3,LOW);
     }
  if (valor > 700) {     	
     digitalWrite(led1,LOW);
     digitalWrite(led2,LOW);
     digitalWrite(led3,HIGH);
     }  	

  delay(100);              	// Retardo de 100ms para a visualización de datos na consola

}
