/* Secuencia de LEDs 
Imos facer que se acendan de maneira consecutiva 7 LEDs, pero de xeito que cada un 
escintile 3 veces. 
Tamén configuramos os LEDs como saída mediante a función for.
http://tecnoloxia.org */

// Declaración de variables: 

int tempo = 150;        // Definimos a variable tempo cun valor de 200ms 

// Configuración:

void setup() {                
  for (int n=7;n<=13;n++) {    // Repítese desde o 9 ata o 13 o seguinte: 
    pinMode(n, OUTPUT);    // Imos configurando os pins como saída
    } 
} 

// Programa: 

void loop() { 
  
  for (int n=7;n<=13;n++){      // Repítese desde 9 ata 13 o seguinte: 
    
    for (int v=0;v<3;v++) {
      digitalWrite(n,HIGH);    // Acende o LED n 
      delay(tempo);            // Agarda o tempo marcado na variable tempo 
      digitalWrite(n,LOW);     // Apaga o LED n 
      delay(tempo);            // Agarda o tempo marcado na variable tempo 
      }
   } 
   
}


