/* Contador mellorado
Utilizaremos a función while(condición){proceso} primeiro para 
que agarde a que premamos no pulsador, e despois para que agarde 
ata que soltemos. Será entón cando realicemos o rexistro no contador.
Desta maneira evitamos que se rexistren varios pulsos cada vez que 
prememos.
http://tecnoloxia.org */

// Declaración de variables:

const int pulsador=2;
const int ledVermello=13;
const int ledVerde=11;
int conta=0;    	      // Inicia o contador a 0 

// Configuración:

void setup() {
  Serial.begin(9600);         //Inicia comunicación serial
  pinMode (ledVermello, OUTPUT);
  pinMode (ledVerde, OUTPUT);
}

// Programa:

void loop(){
  
  Serial.println(conta); // Imprime o dato na consola

  if (conta ==0){
    digitalWrite(ledVermello,LOW);
    digitalWrite(ledVerde,LOW);
    } 
  if (conta>0 && conta <=5){
    digitalWrite(ledVermello,LOW);
    digitalWrite(ledVerde,HIGH);
    }
  if (conta >5){
    digitalWrite(ledVermello,HIGH);
    digitalWrite(ledVerde,LOW);
    }
  
  while(digitalRead(pulsador)==0);  // Agarda mentres o pulsador está sen premer
  delay(20);                        // Agardamos un 0,02s para evitar o efecto rebote
  while(digitalRead(pulsador)==1);  // Agarda mentres o pulsador esta premido
  delay(20);                        // Agardamos 0,02s para evitar o efecto rebote 
  
  conta++;                           // Ao soltar, suma 1

}

