/* Contador con escintileos.
Cando prememos nun pulsador suma 1 ao contador, e ademais un LED 
escintila tantas veces como valor teña o contador.
http://tecnoloxia.org */

// Declaración de variables:
const int led=13;
const int pulsador=2;
int contador=0;    	      //Inicia o contador a 0

// Configuración:

void setup() {
  pinMode (led, OUTPUT);
  Serial.begin(9600);         //Inicia comunicación serial
  Serial.println(contador); 
}

// Programa:

void loop()
{
  while(digitalRead(pulsador)==0);    // Agarda mentres o pulsador está sen premer
  delay(20);                          // Agardamos un 0,02s para evitar o efecto rebote
  while(digitalRead(pulsador)==1);    // Agarda mentres o pulsador esta premido
  delay(20);                          // Agardamos 0,02s para evitar o efecto rebote 
  contador++;                         // Ao soltar, suma 1
  
  Serial.println(contador);           // Imprime o dato na consola
  
  for(int n=0;n<contador;n++) {
    digitalWrite(led,HIGH);
    delay(200); 
    digitalWrite(led,LOW);
    delay(200); 
    }
}
