/* Melodía: Utilizamos a función pinMode(pin,frecuencia,duración) 
para crear sons. Soa a melodía de maneira sincronizada co acendido 
e apagado duns LEDs. 
http://tecnoloxia.org 
*/

// Declaración de variables:


const int pulsador=2;        // Definimos o pulsador no pin 2
const int zumbador=4;     // Definimos o altofalante no pin 4
int estado;                  // Estado do pulsador 

const int led1 = 13;    // Led1 conectado no pin 13
const int led2 = 12;    // Led2 conectado no pin 12
const int led3 = 11;    // Led3 conectado no pin 11

// Configuración:

void setup() {
  pinMode(4,OUTPUT);      // Configuramos os pins como saída
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);
  pinMode(led3, OUTPUT);
}

// Programa:

void loop() {
  
  estado = digitalRead(pulsador);
  
  if(estado==HIGH){
    tone(4,1000,200);          // 1000 Hz durante 0.2s
    digitalWrite(led1, HIGH);  
    digitalWrite(led2, LOW);
    digitalWrite(led3, LOW);
    delay(400);                
    
    tone(4,1500,300);          // 1500 Hz durante 0.3s
    digitalWrite(led1, LOW);  
    digitalWrite(led2, HIGH);
    digitalWrite(led3, LOW);
    delay(400);       
    
    tone(4,2000,500);          // 2000 Hz durante 0.5s
    digitalWrite(led1, LOW);  
    digitalWrite(led2, LOW);
    digitalWrite(led3, HIGH);
    delay(400);

    noTone(4);
    digitalWrite(led1, LOW);  
    digitalWrite(led2, LOW);
    digitalWrite(led3, LOW);
  }
}

