
/* Motor de CC controlado por potenciómetro. Conecta un potenciómetro á entrada analóxica 
A0. Se o valor de entrada é menor que 500 o motor está parado. Cun valor superior arranca.
http://tecnoloxia.org */

// Declaración de variables:
int valor;              // variable que le o valor do potenciómetro, entre 0 e 1023 
const int motor = 6;    // Motor conectado á base do transistor

// Configuración:

void setup() {
  Serial.begin(9600);      // Inicia a comunicación serie 
  pinMode(motor, OUTPUT);
  }

// Programa:

void loop() { 
  
  valor = analogRead(A0);       // Asignamos á variable "valor" o valor lido na entrada analóxica A0 
  Serial.println(valor);        // Imprime no monitor serie dito valor 
  
  if (valor >= 500){            // Cando  a variable "valor" é maior ou igual que 500 
     digitalWrite(motor,HIGH);  // xira o motor 
     } 
  else{                         // no caso contrario
     digitalWrite(motor,LOW);   // apágase 
     }  
  
  delay(100);                // Retardo de 100ms para a visualización de datos na consola 

}
