/* Led con pulsador. Entrada dixital. Condicionais.
Cando prememos no pulsador un LED acéndese e apágase varias veces
durante 2 segundos e despois apágase.
http://tecnoloxia.org */

// Declaración de variables:

const int led = 13;         // Pin 13 asignado a un LED 
const int pulsador = 2;     // Pin 2 asignado a un pulsador 
int estado=0;               // Variable coa que leremos o estado do pulsador. 

// Configuración: 

 void setup() { 
  pinMode(led, OUTPUT);      // Configuramos o LED como saída 
}

// Programa:

void loop() 
{ 
  estado = digitalRead(pulsador);   // Asignamos a "estado" o valor (0 ou 1) do pulsador
  
  if (estado == HIGH)    	          // Se hai sinal no pulsador 
  { 
    digitalWrite(led, HIGH); 	    // Acende
    delay(400); 		              // Agarda 0.2 segundos
    digitalWrite(led, LOW); 	    // Apaga
    delay(400);
    digitalWrite(led, HIGH);       
    delay(400);                   
    digitalWrite(led, LOW);       
    delay(400);
    digitalWrite(led, HIGH);       
    delay(400);                   
    digitalWrite(led, LOW);       
  } 
  
}
