 /* 
 Led con luz gradual 1

 Imos facer que, de forma alternada, un LED conectado no pin 6 se acenda gradualmente e outro LED 
 conectado no pin 9 se apague gradualmente utilizando a funcion analogWrite().

 http://tecnoloxia.org 

 */

 // Declaración de variables:

 int led1 = 9;            // LED conectado no pin 9
 int led2 = 6;            // LED conectado no pin 6
 int brillo = 0;          // Indica a luminosidade do LED. Inicialmente poñemos un valor 0.
 int variacion = 5;       // Indica cantos puntos varía a luminosidade

 // Configuración:

 void setup()  
 { 
   pinMode(led1, OUTPUT);   // Declaramos o pin 9 como de saída
   pinMode(led2, OUTPUT);   // Declaramos o pin 9 como de saída

 } 

// Programa:

 void loop() { 
   
   brillo = brillo + variacion;         // Sumamos a variación ao valor do brillo 

   
   if (brillo == 0 || brillo == 255){   // Cando o brillo vale 0 ou 255 cambiamos o sentido
     variacion = -variacion ; 
   } 
   
   if (variacion <= 0) {                // Cando a variación é negativa esvaece o LED 1
     analogWrite(led2, 0);
     analogWrite(led1, brillo);            
   }
   
   else {                               // Cando a variacion é positiva aumenta o brillo do LED 2
     analogWrite(led1, 0);
     analogWrite(led2, brillo);             
   }
   
   delay(30);                          // Agardamos 30ms
   
 }

