/* Entradas analóxicas. LDR
A medida que hai menos luz acéndense máis LEDs, e a medida 
que a luz aumenta os LEDs se van apagando.
http://tecnoloxia.org */

// Declaración de variables: 

int valor;      // variable que le o valor da LDR, entre 0 e 1023
const int led1=13; 
const int led2=12; 
const int led3=11; 

// Configuración:

void setup() {
  Serial.begin(9600);        // Inicia a comunicación serie
  pinMode(led1, OUTPUT);    // Configuramos os LEDs como saída
  pinMode(led2, OUTPUT);    
  pinMode(led3, OUTPUT);    
}

// Programa:

void loop() {
  
  valor = analogRead(A1);  // Asignamos á variable "valor" o valor lido na entrada analóxica A1
  Serial.println(valor);   //Imprime no monitor serie dito valor

  if (valor <= 100) {       
     digitalWrite(led1,HIGH);
     digitalWrite(led2,HIGH);
     digitalWrite(led3,HIGH);
     } 
  if (valor > 100 && valor <= 360) {      
     digitalWrite(led1,HIGH);
     digitalWrite(led2,HIGH);
     digitalWrite(led3,LOW);
     }
  if (valor > 360 && valor <= 700) {
     digitalWrite(led1,HIGH);
     digitalWrite(led2,LOW);
     digitalWrite(led3,LOW);
     }
  if (valor > 700) {
     digitalWrite(led1,LOW);
     digitalWrite(led2,LOW);
     digitalWrite(led3,LOW);
     }    
     
  delay(100);     // Retardo de 100ms para a visualización de datos na consola
}

