/* Entradas analóxicas. LDR
Utiliza a función map(valor, min, max, Nmin, Nmax); 
para facer que a medida que haxa máis luz un LED escintile 
con maior frecuencia.
http://tecnoloxia.org */

// Declaración de variables:

int valor;      // variable que le o valor do potenciómetro, entre 0 e 1023
int tempo;      // variable tempo entre acendido e apagado
int led=11; 

// Configuración:

void setup() {
  Serial.begin(9600);       // Inicia a comunicación serie
  pinMode(led, OUTPUT);    // Configuramos o LED como saída
}

// Programa:

void loop() {
  
  valor = analogRead(A1);               // Asignamos a variable "valor" o valor lido na entrada analóxica A1
  tempo = map(valor,0,800,1000,50);   // Calculamos o valor correspondente ao tempo
  
  digitalWrite(led, HIGH);           // Acende
  delay(tempo);                     // Agarda "tempo" ms
  digitalWrite(led, LOW);           // Apaga
  delay(tempo);                     // Agarda "tempo" ms
  
  Serial.print(valor);      // Escribimos os valores das variables na consola serie
  Serial.print(" ----> ");
  Serial.println(tempo); 
  delay(100);                 // Agardamos 100ms
}

